<?xml version="1.0"?>
<doc>
<assembly>
<name>
JobManager.CmdTools.CMDClient
</name>
</assembly>
<members>
<member name="M:JobManager.CmdTools.CMDClient.Controller.Controller_mod.CommandlineParametersPrepare(System.Collections.ObjectModel.ReadOnlyCollection{System.String}@)">
 <summary>
 function to combine the command line parameters with parameters from subaction settings xml file
 parameters in command line are leading
 </summary>
 <param name="args_p"></param>
 <remarks> 
 #New: 3.1428;05.09.2017;S.Gueth
 #LUp: 3.1487;30.11.2018;S.Gueth
 </remarks>
</member>
<member name="T:JobManager.CmdTools.CMDClient.CmdToolsActionsWithSubActionsExport.ActionExporter">
 <summary>
 Provides methods to reflect and export the CMD-Tools Actions with SubActions
 </summary>
 <remarks>
 #New: 3.2000;20.09.2024;A.Becker
 </remarks>
</member>
<member name="M:JobManager.CmdTools.CMDClient.CmdToolsActionsWithSubActionsExport.ActionExporter.ExportActionsWithSubActions(System.String)">
 <summary>
 Reflects all CMD-Tools Actions with SubActions and serializes them into the provided XML file.
 </summary>
</member>
<member name="M:JobManager.CmdTools.CMDClient.CmdToolsActionsWithSubActionsExport.ActionExporter.GetActionsWithSubActions">
 <summary>
 Reflects all CMD-Tools Actions with SubActions.
 </summary>
</member>
<member name="M:JobManager.CmdTools.CMDClient.CmdToolsActionsWithSubActionsExport.ActionExporter.TryGetClaProperty(System.Type,System.String,System.Reflection.PropertyInfo@)">
 <summary>
 Reflect a PropertyInfo on a claType
 </summary>
</member>
<member name="M:JobManager.CmdTools.CMDClient.CmdToolsActionsWithSubActionsExport.ActionExporter.TryGetGlobalClaProperty(System.String,System.Reflection.PropertyInfo@)">
 <summary>
 Reflect a PropertyInfo on the global claType
 </summary>
</member>
<member name="T:JobManager.CmdTools.CMDClient.Controller_cls">
 <summary>
 Definiert die Controller Klasse. Diese Classe steuert alle abläufe dieses Programmes
 </summary>
 <remarks> 
 #LUp: 3.1503;12.04.2021;J.Fes Reorg Last Output
 </remarks>
</member>
<member name="M:JobManager.CmdTools.CMDClient.Controller_cls.Verinfo">
 <summary>
 Gibt Versionsinformationen zum Programm aus
 </summary>
</member>
<member name="M:JobManager.CmdTools.CMDClient.Controller_cls.HelpPrint">
 <summary>
 Gibt die den Help auf dem Consolenfenster aus
 </summary>
</member>
<member name="M:JobManager.CmdTools.CMDClient.Controller_cls.MainExecute(System.Collections.ObjectModel.ReadOnlyCollection{System.String})">
 <summary>
 Start der Controler Actionen 
 </summary>
 <remarks>
 #LUp: 3.1428;07.09.2017;S.Gueth: added CommandLineParameters_p parameter
 #LUp: 3.1601;13.12.2021;J.Fes implement CLAGlobal_obj.JobDetailsPrintSkip
 #LUp: 3.1601;08.02.2022;J.Fes (*1) add ParaValue = JF.Tools.StringEnvironValuesGet(ParaValue)
 </remarks>
</member>
<member name="M:JobManager.CmdTools.CMDClient.Controller_cls.PrintpInfoValues(System.Reflection.PropertyInfo,System.String,System.Text.StringBuilder@)">
 <summary>
 Prints value for Parameter if pInfo.Name.ToLower = "p" or pInfo.Name.ToLower.Contains("password") 
 then function retruns "************"
 </summary>
 <param name="pInfo"></param>
 <param name="pInfoValue_p"></param>
</member>
</members>
</doc>
